antiprism-0.23
Up Next

# sph_rings - rings of points on a sphere

Usage | Examples | Notes

## Usage

    Usage: sph_ring [options] num_rings num_divs

    Distribute points on rings a sphere. num_rings is the number of
    rings between the poles. num_divs is the number of points on each
    ring, or if not given then it is as many points as will fit in each
    ring at least a bands width apart.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -s        stagger placement of balls between cirles
      -x        don't place points at the two poles
      -o <file> write output to file (default: write to standard output)

## Examples

A globe

    sph_rings 12 24 | conv_hull | antiview

Stagger the rings on the globe

    sph_rings -s 12 24 | conv_hull | antiview

As many points as will fit on the 12 rings

    sph_rings 12 | antiview -v b

## Notes

The output can be run through conv_hull to create a polyhedron.

Up: Programs and Documentation
Next: sph_saff - spiral points on a sphere (Saff and Kuiljaars)